TransactionVerificationException.TransactionMissingEncumbranceException
Keywords: net.corda.core.contracts.TransactionVerificationException.TransactionMissingEncumbranceException class
Date: 2023-09-18

net.corda.core.contracts

## Class TransactionVerificationException.TransactionMissingEncumbranceException

- Enclosing class:
    TransactionVerificationException

      public static class TransactionVerificationException.TransactionMissingEncumbranceException

  If a state is encumbered (the TransactionState.encumbrance field is set) then its encumbrance must be used as an input to any transaction that uses it. In this way states can be tied together in chains, thus composing logic. Note that encumbrances aren't fully supported by all aspects of the platform at this time so if you use them, you may find transactions created by the platform don't always respect the encumbrance rule.

- - ### Constructor Detail

    - #### TransactionMissingEncumbranceException

          public TransactionMissingEncumbranceException(@NotNull
                                                        SecureHash txId,
                                                        int missing,
                                                        @NotNull
                                                        net.corda.core.contracts.TransactionVerificationException.Direction inOut)

      If a state is encumbered (the TransactionState.encumbrance field is set) then its encumbrance must be used as an input to any transaction that uses it. In this way states can be tied together in chains, thus composing logic. Note that encumbrances aren't fully supported by all aspects of the platform at this time so if you use them, you may find transactions created by the platform don't always respect the encumbrance rule.

      Parameters:
        `missing` - the index of the state missing the encumbrance.
        `inOut` - whether the issue exists in the input list or output list.

  - ### Method Detail

    - #### getMissing

          public int getMissing()

      the index of the state missing the encumbrance.

    - #### getInOut

          @NotNull
          public net.corda.core.contracts.TransactionVerificationException.Direction getInOut()

      whether the issue exists in the input list or output list.